#include "circle.h"



Circle::Circle(int _x, int _y, int _size) : Shape(_x, _y, _size)
{

}

Circle::Circle(int _x, int _y, int _size, QColor _col) : Shape(_x, _y, _size)
{
    col = _col;
}

void Circle::jiggle()
{
    Shape::jiggle();
    size += QRandomGenerator::global()->bounded(3)-1;
    if (size < 0) size = 0;
    if (size > 100) size = 100;
}

void Circle::changeColor()
{
    int hue = QRandomGenerator::global()->bounded(256);
    int lum = QRandomGenerator::global()->bounded(256);
    int sat = QRandomGenerator::global()->bounded(256);
    col = QColor::fromHsl(hue, lum, sat);
}

void Circle::display(QPainter& p)
{
    p.setPen(QPen(col, 5));
    p.drawEllipse(x, y, size, size);
}
